- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Deletes a Skill container along with all its revisions.
HTTP request
DELETE https://agentregistry.googleapis.com/v1alpha/{name=projects/*/locations/*/skills/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Target Skill container name to remove. |
Query parameters
| Parameters | |
|---|---|
requestId |
Optional. Signed UUID request idempotency token. |
force |
Optional. If set to true, any child SkillRevisions under this Skill will also be deleted. Otherwise, the request will only succeed if the Skill has no child SkillRevisions. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-onlyhttps://www.googleapis.com/auth/agentregistry.read-writehttps://www.googleapis.com/auth/agentregistry.read-only
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
agentregistry.skills.delete
For more information, see the IAM documentation.